## com.imcode.imcms.servlet.admin
Class ImageBrowse.ImageBrowserPage

    java.lang.Object
      com.imcode.imcms.servlet.admin.ImageBrowse.ImageBrowserPage

Enclosing class:
  ImageBrowse

    public static class ImageBrowse.ImageBrowserPage

extends java.lang.Object

Constructor Summary
`ImageBrowse.ImageBrowserPage(java.io.File currentDirectory, java.io.File currentImage)`

Method Summary
`void` `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`static ImageBrowse.ImageBrowserPage` `fromRequest(javax.servlet.http.HttpServletRequest request)`
`java.lang.String` `getDirectoriesOptionList()`
`LocalizedMessage` `getErrorMessage()`
`java.lang.String` `getImagesOptionList()`
`java.lang.String` `getImageUrl()`
`java.lang.String` `getLabel()`
`void` `setCurrentImage(java.io.File currentImage)`
`void` `setErrorMessage(LocalizedMessage errorMessage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageBrowse.ImageBrowserPage

    public ImageBrowse.ImageBrowserPage(java.io.File currentDirectory,
                                        java.io.File currentImage)

Method Detail

### getLabel

    public java.lang.String getLabel()

### getDirectoriesOptionList

    public java.lang.String getDirectoriesOptionList()
                                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getImagesOptionList

    public java.lang.String getImagesOptionList()
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getImageUrl

    public java.lang.String getImageUrl()

### forward

    public void forward(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### fromRequest

    public static ImageBrowse.ImageBrowserPage fromRequest(javax.servlet.http.HttpServletRequest request)

### setErrorMessage

    public void setErrorMessage(LocalizedMessage errorMessage)

### getErrorMessage

    public LocalizedMessage getErrorMessage()

### setCurrentImage

    public void setCurrentImage(java.io.File currentImage)